Name:		razercfg
Version:	0.22
Release:	%mkrel 4
Summary:	Razer device configuration tool
Group:		System/Configuration
License:	GPLv2
URL:		http://bues.ch/cms/hacking/razercfg.html
Source0:	http://bues.ch/razercfg/%{name}-%{version}.tar.bz2
Source1:	razerd.service
Patch0:		libdir_64_fix.patch
Patch1:		razercfg-0.19-udev-rules-dir.patch
BuildRequires:	python-qt4
BuildRequires:	cmake
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	python-devel

%description
This is the next generation Razer device configuration tool
bringing the Razer gaming experience to the free open source world.
This utility is a replacement for the old deathaddercfg tool.
The tool architecture is based on "razerd", which is a background
daemon doing all of the lowlevel privileged hardware accesses.
The user interface tools are "razercfg", a commandline tool;
and "qrazercfg", a QT4 based graphical device configuration tool.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%cmake
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_unitdir}/

%{__install} -m 0755 %{SOURCE1} -D %{buildroot}%{_unitdir}/razerd.service
rm %{buildroot}%{_sysconfdir}/systemd/system/razerd.service

%post
%_post_service razerd.service

%preun
%_preun_service razerd.service

%files
%doc COPYING README
%{_bindir}/*
%{_sbindir}/razerd
%{_unitdir}/razerd.service
%{_libdir}/librazer.so
%{_sysconfdir}/pm/sleep.d/50-razer
%{_udevrulesdir}/01-razer-udev.rules


%changelog
* Wed Feb 03 2016 umeabot <umeabot> 0.22-4.mga6
+ Revision: 933143
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.22-3.mga5
+ Revision: 747083
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.22-2.mga5
+ Revision: 688620
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 dams <dams> 0.22-1.mga5
+ Revision: 592569
- new version 0.22

* Fri Oct 18 2013 umeabot <umeabot> 0.19-5.mga4
+ Revision: 521578
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 0.19-4.mga3
+ Revision: 391313
- update rpm group

* Wed Jan 16 2013 fwang <fwang> 0.19-3.mga3
+ Revision: 388470
- correct udev rules dir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 shlomif <shlomif> 0.19-1.mga3
+ Revision: 307632
- New version 0.19

* Mon Aug 27 2012 fedya <fedya> 0.18-1.mga3
+ Revision: 284614
- %mkrel 1 added
- OpenSource it's mispelling
- rpmlint fixes
- imported package razercfg

